## grace 5.1.23

=== doc/Makefile ===
#####################################################
# Makefile for documentation of Grace               #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .sgml .dvi .html .pdf .ps .tex

# NB: the language and papersize options should be made `configure'able
LANGUAGE    = english
PAPERSIZE   = letter

LINUXDOC    = linuxdoc --language=$(LANGUAGE) --papersize=$(PAPERSIZE)

SGML2HTML   = $(LINUXDOC) --backend=html  --split=0 --toc=2
SGML2LATEX  = $(LINUXDOC) --backend=latex --output=tex
SGML2DVI    = $(LINUXDOC) --backend=latex --output=dvi
DVI2PS      = dvips -t $(PAPERSIZE)
LATEX       = latex
PDFLATEX    = pdflatex

.sgml.html :
	$(SGML2HTML) $<

.sgml.dvi :
	$(SGML2DVI) $<
	
.sgml.tex :
	$(SGML2LATEX) $<

.tex.dvi :
	$(LATEX) $<
	$(LATEX) $<

.dvi.ps :
	$(DVI2PS) $< -o $@

.tex.pdf :
	$(PDFLATEX) $<
	$(PDFLATEX) $<

SGMLS    = FAQ.sgml Tutorial.sgml UsersGuide.sgml 
HTMLS    = CHANGES.html GPL.html philosophical-gnu-sm.jpg nohelp.html

HTMLDOCS = FAQ.html Tutorial.html UsersGuide.html

DVIDOCS  = FAQ.dvi Tutorial.dvi UsersGuide.dvi

PSDOCS   = FAQ.ps Tutorial.ps UsersGuide.ps

PDFDOCS  = FAQ.pdf Tutorial.pdf UsersGuide.pdf

TEXDOCS  = FAQ.tex Tutorial.tex UsersGuide.tex

TUTDATA  = 2.1.dat 3.dat 7.1.2.agr 7.1.3.agr 8.2.dat \
           10.1.dat 10a.dat 10c.dat 10b.dat shiftdata.sh mygraph.png

GRACEMAN = grace.1
MANLINKS = xmgrace.1 gracebat.1
MANPAGES = $(GRACEMAN) grconvert.1 convcal.1

all : html dvi

html : $(HTMLDOCS)

dvi  : $(DVIDOCS)

pdf  : $(PDFDOCS)

ps   : $(PSDOCS)

tex  : $(TEXDOCS)

clean :
	$(RM) $(TEXDOCS) *.aux *.log *.toc

distclean : clean
	$(RM) *.orig

devclean : distclean
	$(RM) $(DVIDOCS) $(PSDOCS) $(PDFDOCS) $(HTMLDOCS)

install : $(HTMLS) $(HTMLDOCS) $(DVIDOCS) $(TUTDATA) $(MANPAGES)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/doc
	for i in $?; do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/doc; done
	cd $(DESTDIR)$(GRACE_HOME)/doc; \
	for i in $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACEMAN) $$i; done

$(DESTDIR)$(GRACE_HOME)/doc/grace.1 : $(MANPAGES)
	$(MAKE) install

links : $(DESTDIR)$(GRACE_HOME)/doc/grace.1
	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/man
	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/man/man1
	cd $(DESTDIR)$(PREFIX)/man/man1; \
	for i in $(MANPAGES) $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACE_HOME)/doc/$$i $$i; done

tests : dummy

dummy :

=== examples/Makefile ===
#####################################################
# Makefile for examples of Grace                    #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

DOTEST = dotest$(BAT)

EXAMPLES = altaxis.par logtest.par times.agr \
	au.agr manygraphs.agr terr.agr tinset.agr \
	axes.agr mlo.dat tlog.agr log2.agr log2log.agr logit.agr reciprocal.agr \
	bar.agr explain.agr test.com tmc.c \
	fills.agr props.agr test.dat \
	chartebar.agr charts.agr graphs.par regions.par test1.par tstack.agr \
	brw.dat hilo.agr test2.agr arrows.agr txyr.agr \
	co2.agr log.dat stackedb.agr tfonts.agr typeset.agr xyz.agr \
	co2.par logistic.agr logistic.fit symslines.agr tforms.par polar.agr \
	motif.agr spectrum.agr pie.agr txttrans.agr boxplot.agr vmap.agr \
	xysize.agr xycolor.agr

all : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(EXAMPLES) $(DOTEST)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/examples
	for i in $(EXAMPLES); do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/examples; done
	$(INSTALL_PROGRAM) $(DOTEST) $(DESTDIR)$(GRACE_HOME)/examples/$(DOTEST)

links : dummy

tests : $(EXAMPLES) $(DOTEST)
	./$(DOTEST)

dummy :

=== src/Makefile ===
#####################################################
# Makefile for Grace                                #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

GRBATCH=gracebat$(EXE)

GRACECLI=grace$(EXE)

CEPHES_LIB=$(TOP)/cephes/libcephes.a

CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(T1_INC) $(XBAE_INC) $(CPPFLAGS) $(GUI_FLAGS)

LIBS=$(GUI_LIBS) $(CEPHES_LIB) $(NETCDF_LIBS) $(FFTW_LIB) \
	$(T1_LIB) $(PDF_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) \
	$(NOGUI_LIBS) $(DL_LIB)

PREFS=-DGRACE_HOME=\"$(GRACE_HOME)\" -DGRACE_PRINT_CMD=\"$(PRINT_CMD)\" \
	-DGRACE_EDITOR=\"$(GRACE_EDITOR)\" \
	-DGRACE_HELPVIEWER=\"$(GRACE_HELPVIEWER)\" \
	-DCCOMPILER=\"'$(CC) $(CFLAGS) $(LDFLAGS) $(LIBS)'\" 

all : $(GRACE)


include Make.common

$(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo$(O) : $(TOP)/config.h

include Make.dep

xmgrace$(EXE) : $(GROBJS) $(PARS_C) $(GUIOBJS) $(CEPHES_LIB)
	$(CC) $(CFLAGS) $(GROBJS) $(GUIOBJS) -o $@ $(LDFLAGS) $(LIBS)

grace$(EXE) : $(GROBJS) $(PARS_C) $(CEPHES_LIB)
	$(CC) $(CFLAGS) $(GROBJS) -o $@ $(LDFLAGS) $(LIBS)


buildinfo$(EXE) : buildinfo$(O)
	$(CC) $(CFLAGS) $? -o $@ $(LDFLAGS) $(GUI_LIBS) $(T1_LIB) $(JPEG_LIB) $(PNG_LIB) $(Z_LIB) $(NOGUI_LIBS)

buildinfo$(O) : $(TOP)/Make.conf
	$(CC) $(CFLAGS) $(PREFS) -c buildinfo.c -o $@

buildinfo.h : buildinfo$(EXE) $(GRSRCS) $(GUISRCS)
	$(RM) t.h
	./buildinfo$(EXE) > t.h
	mv t.h $@

$(PARS_C) : $(PARS_Y)
	$(YACC) -t $?
	mv y.tab.c $@


install : $(GRACE)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/bin
	$(INSTALL_PROGRAM) -s $(GRACE) $(DESTDIR)$(GRACE_HOME)/bin/$(GRACE)
	cd $(DESTDIR)$(GRACE_HOME)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE) $(GRBATCH)

tests : dummy

$(DESTDIR)$(GRACE_HOME)/bin/$(GRACE) : $(GRACE)
	$(MAKE) install

links : $(DESTDIR)$(GRACE_HOME)/bin/$(GRACE)
	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/bin
	cd $(DESTDIR)$(PREFIX)/bin; $(RM) $(GRACE); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACE)
	cd $(DESTDIR)$(PREFIX)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRBATCH)
	cd $(DESTDIR)$(PREFIX)/bin; $(RM) $(GRACECLI); $(LN_S) $(GRACE_HOME)/bin/$(GRACE) $(GRACECLI)

clean : 
	$(RM) $(GROBJS) $(GUIOBJS) $(PARS_O) buildinfo.h buildinfo$(O) buildinfo$(EXE)

distclean : clean
	$(RM) $(GRACE) tags *.orig *.*gr .gdb_history t1lib.log

devclean : distclean
	$(RM) $(PARS_C)

depend :
	echo "# Generated automatically by \`make depend'" > Make.dep
	$(CC) $(CFLAGS) -MM $(GRSRCS) $(GUISRCS) $(PARS_C) buildinfo.c \
		| sed 's/\.o:/\$$(O)\ :/g' >> Make.dep

tags : $(GRSRCS) $(GUISRCS) $(PARS_Y)
	ctags $(GRSRCS) $(GUISRCS) $(PARS_Y)

dummy :

# DO NOT DELETE

=== templates/Makefile ===
#####################################################
# Makefile for templates of Grace                   #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

DEFAULT_AGR = Default.agr

all : $(DEFAULT_AGR)

clean : dummy

distclean : 
	$(RM) *.orig

devclean : dummy

install : $(DEFAULT_AGR)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/templates
	@if test -f $(DESTDIR)$(GRACE_HOME)/templates/$(DEFAULT_AGR); then \
		echo "	$(DESTDIR)$(GRACE_HOME)/templates/$(DEFAULT_AGR) exists"; \
		echo "	Installing only $(DESTDIR)$(GRACE_HOME)/templates/$(DEFAULT_AGR).sample"; \
		$(INSTALL_DATA) $(DEFAULT_AGR) $(DESTDIR)$(GRACE_HOME)/templates/$(DEFAULT_AGR).sample; \
	else \
		$(INSTALL_DATA) $(DEFAULT_AGR) $(DESTDIR)$(GRACE_HOME)/templates/$(DEFAULT_AGR); \
	fi

links : dummy

tests : dummy

dummy :

=== T1lib/type1/Makefile ===
#
TOP=../..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

# targets to build: 

OBJS = \
	arith$(O) \
	curves$(O) \
	fontfcn$(O) \
	hints$(O) \
	lines$(O) \
	objects$(O) \
	paths$(O) \
	regions$(O) \
	scanfont$(O) \
	spaces$(O) \
	t1io$(O) \
	t1snap$(O) \
	t1stub$(O) \
	token$(O) \
	type1$(O) \
	util$(O) 


all : $(OBJS)


.PHONY : clean

clean : dummy
	$(RM) *$(O)
	$(RM) *~ *.bak \#*\#


install : dummy


dummy :


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies

=== debian/changelog ===
grace (1:5.1.23-3) unstable; urgency=low

  * rules: Automatically update config.{sub,guess} at build time.  Add
    immediate symbol binding hardening flag.
  * control: Fix Vcs-* links.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 28 Sep 2013 13:18:54 -0700

grace (1:5.1.23-2) unstable; urgency=low

  * Move package to Alioth collab-maint.  control: Update Vcs-Svn header.
  * Lesstif -> Motif transition: Switch Build-Depends from lesstif2-dev to
    libmotif-dev, and add versioned B-Ds on the first Motif-enabled builds
    of libxbae-dev and xmhtml1-dev.  (Closes: #717644)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 24 Aug 2013 10:43:57 -0700

grace (1:5.1.23-1) unstable; urgency=low

  * New upstream release.  (Closes: #689532)
    - Drop the following patches incorporated upstream: rmserror.diff,
      motiflockup.diff, libpng-1.5.diff.
    - Update netcdf-build-fix.diff, fftw3.diff to apply cleanly.
  * patches/source-hardening.diff: Fix mangled SVG output.  Thanks again
    to Alex Valvanis.  (Closes: #690858)
  * debian/watch: Add dversionmangle to remove Debian epoch from check.
  * control: Set Standards-Version 3.9.4, no changes required.
  * Remove Lintian override from previous upload, as the relevant Lintian
    bug has been fixed.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 31 Oct 2012 17:09:21 -0700

grace (1:5.1.22-13) unstable; urgency=low

  * rules: Convert from CDBS to debhelper v7+ style.  Remove special case
    for mips(el), the underlying binutils bug has been fixed.
  * control: 
    - Update maintainer address.
    - Drop Build-Depends on cdbs.
    - Bump Standards-Version to 3.9.3, no changes required.
    - Swap order of libpng B-Ds for libpng15 transition.  (Closes: #662358)
    - Add Recommends: on xfonts-{100,75}dpi to ensure proper operation on
      Ubuntu systems.  (Closes: #670613)
    - Move to debhelper version 9 (also updating debian/compat).
  * grace.preinst, grace.prerm: Use explicit "set -e" outside the shebang.
  * grace.docs: Specifically install README.
  * patches/source-hardening.diff: Force -Wl,-z,relro for /usr/bin/convcal.
  * grace.lintian-overrides: Overrides for two false positives in Lintian
    2.5.7, see #673112 and #673352.
  * copyright: Point symlink to GPL-2 specifically, although later versions
    are permitted.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 17 May 2012 19:26:48 -0700

grace (1:5.1.22-12) unstable; urgency=low

  * patches/source-hardening.diff: Fix three format-security and one
    unused-result errors, allowing compilation with hardening flags.
    (Closes: #643400)

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 01 Oct 2011 16:13:09 -0700

grace (1:5.1.22-11) unstable; urgency=low

  * patches/libpng-1.5.diff: Support for libpng 1.5 transition.  Patch
    provided by Nobuhiro Iwamatsu.  (Closes: #636970)

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 16 Aug 2011 14:07:25 -0700

grace (1:5.1.22-10) unstable; urgency=low

  * patches/binary_nostrip.diff: Don't strip the grace binary unconditionally,
    but instead let dh_strip handle the job.  This permits generation of
    debug packages.  (Closes: #614102)
  * rules, control: Compile against external Xbae library, instead of bundled.
    (Closes: #614152)
  * control: Increment Standards-Version to 3.9.2, no changes necessary.
    Remove antique "Replaces: xmgr" stanza, as xmgr was removed from the
    archive in 2005.  Remove leading article from short description.
  * rules: Link with --as-needed, which clears out several unnecessary
    dependencies from overly opportunistic linking, including libxp6.
    (Closes: #623641)

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 25 Apr 2011 14:46:38 -0700

=== debian/control ===
Source: grace
#Format: 3.0 (quilt)
Section: math
Priority: optional
Maintainer: Nicholas Breen <nbreen@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), libmotif-dev, libxpm-dev,
 libfftw3-dev, libjpeg-dev, libpng-dev | libpng12-dev, libnetcdf-dev,
 gfortran | fortran-compiler, xmhtml1-dev (>= 1.1.7-19) , libt1-dev, fontconfig,
 linuxdoc-tools, libxau-dev, texlive-latex-base, texlive-latex-recommended,
 libxbae-dev (>= 4.60.4-4), autotools-dev
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/grace/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/grace/trunk/
Homepage: http://plasma-gate.weizmann.ac.il/Grace

Package: grace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gsfonts (>= 6.0), fontconfig, xterm
Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
Suggests: texlive-extra-utils, ghostscript
Description: XY graphing and plotting tool
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 This is the program formerly known as Xmgr.
 .
 A few of its features are: User defined scaling, tick marks, labels,
 symbols, line styles, colors, polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation, batch mode for unattended
 plotting, and hardcopy support for PostScript, FrameMaker and several image
 formats.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS  = hardening=+bindnow

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-grace-home=/usr/share/grace \
	--with-editor="xterm -e sensible-editor" \
	--with-helpviewer="sensible-browser %s" \
	--with-f77=gfortran \
	--disable-pdfdrv \
	--without-bundled-xbae

# "make check" is more of a series of demos, requires X
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

override_dh_install:
	# install the icons
	themedir=$(CURDIR)/debian/grace/usr/share/icons/hicolor;\
	for x in 16 22 24 32; do \
		install -D -m 644 -o root -g root debian/icons/grace$${x}.png \
			$${themedir}/$${x}x$${x}/apps/grace.png; \
	done
	install -m 755 -o root -g root debian/update-grace-fonts \
		$(CURDIR)/debian/grace/usr/sbin/update-grace-fonts
	dh_install

# Upstream Makefile needs configure run even for clean target.  Override it,
# and ignore errors if they occur -- they come from the configure-check, not
# from the missing Makefile that is the common case.
override_dh_auto_clean:
	$(MAKE) --keep-going --ignore distclean

## grace 5.1.23-6+7.0trisquel2

=== auxiliary/Makefile ===
#####################################################
# Makefile for auxiliary stuff of Grace             #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

AUXILIARIES = README convcal.c magic.grace
PROGRAMS = convcal$(EXE)
SCRIPTS = fdf2fit

all : convcal$(EXE)

clean : dummy

distclean : clean
	$(RM) convcal$(EXE)

devclean : distclean

convcal$(EXE) : convcal.c
	$(CC) $(CFLAGS0) $(CPPFLAGS) -Wl,-z,relro -Wl,-z,now -o $@ convcal.c $(NOGUI_LIBS)

install : $(AUXILIARIES) $(PROGRAMS) $(SCRIPTS)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/auxiliary
	for i in $(AUXILIARIES); do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/auxiliary; done
	for i in $(PROGRAMS); do $(INSTALL_PROGRAM) -s $$i $(DESTDIR)$(GRACE_HOME)/bin; done
	for i in $(SCRIPTS); do $(INSTALL_PROGRAM) $$i $(DESTDIR)$(GRACE_HOME)/bin; done

tests : dummy

links : dummy

dummy :

=== src/Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 install : $(GRACE)
 	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/bin
-	$(INSTALL_PROGRAM) -s $(GRACE) $(DESTDIR)$(GRACE_HOME)/bin/$(GRACE)
+	$(INSTALL_PROGRAM) $(GRACE) $(DESTDIR)$(GRACE_HOME)/bin/$(GRACE)
 	cd $(DESTDIR)$(GRACE_HOME)/bin; $(RM) $(GRBATCH); $(LN_S) $(GRACE) $(GRBATCH)
 
 tests : dummy

=== debian/changelog ===
grace (1:5.1.23-6+7.0trisquel2) belenos; urgency=medium

  * Updated copyright file

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 04 Jul 2020 14:57:04 +0000

grace (1:5.1.23-6) unstable; urgency=medium

  * control: Also add in Build-Deps for libxt-dev, libxext-dev, libxau-dev,
    libxaw7-dev.  Hooray for unspecified transitive dependencies.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 29 Mar 2014 11:20:00 -0700

grace (1:5.1.23-5) unstable; urgency=medium

  * control: Reverse order of xmhtml1-dev | libxmhtml-dev Build-Dep.
    (Closes: #742890)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 29 Mar 2014 10:36:07 -0700

grace (1:5.1.23-4) unstable; urgency=medium

  * control: XmHTML development package will change to libxmhtml-dev soon;
    modify Build-Depends to libxmhtml-dev | xmhtml1-dev in preparation.
  * rules: Switch back to embedded convenience copy of T1lib.
    (Closes: #638760)
    - control: Drop B-D on t1lib-dev.
    - README.source: add some notes about this.
    - patches/t1lib-general.diff: Incorporate all available patches from
      former Debian distribution of T1lib.
    - grace.lintian-overrides: Suppress relevant embedded-library error.
  * control:  Update Standards-Version to 3.9.5, no changes required.
  * grace.lintian-overrides: Drop workaround for lintian #673112.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 27 Mar 2014 20:12:01 -0700

## grace 5.1.24

=== doc/Makefile ===
--- 
+++ 
@@ -59,11 +59,9 @@
 TUTDATA  = 2.1.dat 3.dat 7.1.2.agr 7.1.3.agr 8.2.dat \
            10.1.dat 10a.dat 10c.dat 10b.dat shiftdata.sh mygraph.png
 
-GRACEMAN = grace.1
-MANLINKS = xmgrace.1 gracebat.1
-MANPAGES = $(GRACEMAN) grconvert.1 convcal.1
+MANPAGES = grace.1 gracebat.1 xmgrace.1 grconvert.1 convcal.1
 
-all : html dvi
+all : html pdf
 
 html : $(HTMLDOCS)
 
@@ -76,7 +74,7 @@
 tex  : $(TEXDOCS)
 
 clean :
-	$(RM) $(TEXDOCS) *.aux *.log *.toc
+	$(RM) $(TEXDOCS) *.aux *.log *.toc *.out
 
 distclean : clean
 	$(RM) *.orig
@@ -84,11 +82,9 @@
 devclean : distclean
 	$(RM) $(DVIDOCS) $(PSDOCS) $(PDFDOCS) $(HTMLDOCS)
 
-install : $(HTMLS) $(HTMLDOCS) $(DVIDOCS) $(TUTDATA) $(MANPAGES)
+install : $(HTMLS) $(HTMLDOCS) $(PDFDOCS) $(TUTDATA) $(MANPAGES)
 	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/doc
 	for i in $?; do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/doc; done
-	cd $(DESTDIR)$(GRACE_HOME)/doc; \
-	for i in $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACEMAN) $$i; done
 
 $(DESTDIR)$(GRACE_HOME)/doc/grace.1 : $(MANPAGES)
 	$(MAKE) install
@@ -97,7 +93,7 @@
 	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/man
 	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/man/man1
 	cd $(DESTDIR)$(PREFIX)/man/man1; \
-	for i in $(MANPAGES) $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACE_HOME)/doc/$$i $$i; done
+	for i in $(MANPAGES); do $(RM) $$i; $(LN_S) $(GRACE_HOME)/doc/$$i $$i; done
 
 tests : dummy

=== debian/changelog ===
grace (1:5.1.24-2) unstable; urgency=medium

  * Add Build-Depends on texlive-fonts-recommended.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 13 Sep 2014 16:53:32 -0700

grace (1:5.1.24-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches/cephes-license.diff (incorporated upstream), rebase
      other patches as necessary.
    - Fixes input of non-ASCII text under UTF-8 locales. (LP: #1276783)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 13 Sep 2014 15:48:16 -0700

grace (1:5.1.23-9) unstable; urgency=medium

  * copyright: Convert to DEP-5 format and overhaul information.  Include
    e-mail from cephes author regarding its licensing; thanks to Helen
    Faulkner for driving that for the labplot packages many years ago.
    (Closes: #758237)
  * patches/cephes-license.diff: Additionally add cephes/COPYING to the
    unpacked source tree.
  * README.Debian: Update epstopdf information and alioth URL.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 15 Aug 2014 17:33:55 -0700

grace (1:5.1.23-8) unstable; urgency=medium

  * Upload to unstable with libxmhtml-dev transition, no further changes.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 26 Jun 2014 20:58:11 -0700

grace (1:5.1.23-7) experimental; urgency=medium

  * control: Transition to libxmhtml-dev, currently only in experimental.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 16 Jun 2014 18:02:18 -0700

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: math
 Priority: optional
 Maintainer: Nicholas Breen <nbreen@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), libmotif-dev, libxpm-dev,
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libmotif-dev, libxpm-dev, fontconfig,
  libfftw3-dev, libjpeg-dev, libpng-dev | libpng12-dev, libnetcdf-dev,
- gfortran | fortran-compiler, xmhtml1-dev (>= 1.1.7-19) , libt1-dev, fontconfig,
- linuxdoc-tools, libxau-dev, texlive-latex-base, texlive-latex-recommended,
- libxbae-dev (>= 4.60.4-4), autotools-dev
+ gfortran | fortran-compiler, libxmhtml-dev, linuxdoc-tools, libxau-dev,
+ texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended,
+ libxbae-dev (>= 4.60.4-4), autotools-dev, libxt-dev, libxext-dev, libxaw7-dev
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/grace/trunk/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/grace/trunk/
 Homepage: http://plasma-gate.weizmann.ac.il/Grace

## grace 5.1.25

=== Makefile ===
#####################################################
# Top-level Makefile for Grace                      #
#####################################################
# You should not change anything here.              #
#####################################################

include Make.conf

subdirs : configure Make.conf
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE)) || exit 1; done

all : subdirs

install : subdirs
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) install) || exit 1; done
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)
	@if test -f $(DESTDIR)$(GRACE_HOME)/gracerc; then \
		echo "	$(DESTDIR)$(GRACE_HOME)/gracerc exists"; \
		echo "	Installing only $(DESTDIR)$(GRACE_HOME)/gracerc.sample"; \
		$(INSTALL_DATA) gracerc $(DESTDIR)$(GRACE_HOME)/gracerc.sample; \
	else \
		$(INSTALL_DATA) gracerc $(DESTDIR)$(GRACE_HOME); \
	fi
	$(INSTALL_DATA) gracerc.user $(DESTDIR)$(GRACE_HOME)

tests : subdirs
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) tests) || exit 1; done

check : tests

links : subdirs
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) links) || exit 1; done

clean :
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) clean) || exit 1; done

distclean :
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) distclean) || exit 1; done
	$(RM) config.log config.status config.cache config.h Make.conf

devclean :
	@set -e; for i in $(SUBDIRS); do (cd $$i; $(MAKE) devclean) || exit 1; done
	$(RM) config.log config.status config.cache config.h Make.conf \
	configure CHANGES ChangeLog

texts : CHANGES ChangeLog

CHANGES : doc/CHANGES.html
	@lynx -dump $? > CHANGES

ChangeLog : 
	./scripts/cvs2cl.pl -F grace-5_1-series

Make.conf : ac-tools/Make.conf.in configure
	@echo
	@echo 'Please re-run ./configure'
	@echo
	@exit 1

configure : ac-tools/configure.in ac-tools/aclocal.m4
	autoconf ac-tools/configure.in > $@ && chmod +x $@

dummy :

=== auxiliary/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 devclean : distclean
 
 convcal$(EXE) : convcal.c
-	$(CC) $(CFLAGS0) $(CPPFLAGS) -Wl,-z,relro -Wl,-z,now -o $@ convcal.c $(NOGUI_LIBS)
+	$(CC) $(CFLAGS0) $(CPPFLAGS) -o $@ convcal.c $(NOGUI_LIBS)
 
 install : $(AUXILIARIES) $(PROGRAMS) $(SCRIPTS)
 	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/auxiliary

=== cephes/Makefile ===
#####################################################
# Makefile for Cephes math library                  #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(CPPFLAGS)

LIB=libcephes.a

all : $(LIB)

include Make.common

include Make.dep


$(LIB) : $(OBJS)
	$(AR) cr $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

install : $(LIB)

tests : dummy

links : dummy

clean :
	$(RM) $(LIB) $(OBJS)

distclean :
	$(RM) $(LIB) $(OBJS) *.orig

devclean :
	$(RM) $(LIB) $(OBJS) *.orig

dummy :

=== fonts/Makefile ===
#####################################################
# Makefile for the fonts directory of Grace         #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

FONTDATABASE = FontDataBase

FONTS = type1/n021003l.pfb \
	type1/n021023l.pfb \
	type1/n021004l.pfb \
	type1/n021024l.pfb \
	type1/n019003l.pfb \
	type1/n019023l.pfb \
	type1/n019004l.pfb \
	type1/n019024l.pfb \
	type1/n022003l.pfb \
	type1/n022023l.pfb \
	type1/n022004l.pfb \
	type1/n022024l.pfb \
	type1/d050000l.pfb \
	type1/s050000l.pfb

AFMS =  type1/d050000l.afm \
	type1/n019003l.afm \
	type1/n019004l.afm \
	type1/n019023l.afm \
	type1/n019024l.afm \
	type1/n021003l.afm \
	type1/n021004l.afm \
	type1/n021023l.afm \
	type1/n022003l.afm \
	type1/n022023l.afm \
	type1/n022004l.afm \
	type1/n022024l.afm \
	type1/n021024l.afm \
	type1/s050000l.afm

ENCODINGS = enc/IsoLatin1.enc \
	enc/IsoLatin2.enc \
	enc/IsoLatin5.enc \
	enc/IsoLatin7.enc \
	enc/IsoLatin9.enc \
	enc/PSLatin1.enc \
	enc/PDFDoc.enc \
	enc/WinAnsi.enc \
	enc/MacRoman.enc \
	enc/CP1251.enc \
	enc/KOI8-R.enc \
	enc/KOI8-U.enc

all : dummy

tests : dummy

clean : dummy

distclean : dummy

devclean : dummy

install : $(FONTS) $(AFMS) $(ENCODINGS)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/fonts
	$(INSTALL_DATA) $(FONTDATABASE) $(DESTDIR)$(GRACE_HOME)/fonts
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/fonts/type1
	for i in $(FONTS); do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/fonts/type1; done
	for i in $(AFMS); do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/fonts/type1; done
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/fonts/enc
	for i in $(ENCODINGS); do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/fonts/enc; done

links : dummy

dummy :

=== grace_np/Makefile ===
#####################################################
# Makefile for libgrace_np                          #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c .f $(O)

LIB = libgrace_np.a

CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(CPPFLAGS)

LIBS = $(NOGUI_LIBS)

LIBOBJS = grace_np$(O) gracef_np$(O) gracef_np_$(O)
TESTS=test_np$(EXE) testf_np$(EXE)

all : $(LIB)

tests : $(TESTS)
	-@PATH=../src:$$PATH; export PATH; GRACE_HOME=..; export GRACE_HOME; \
	for i in $(TESTS); do echo Running $$i; ./$$i; done

$(LIB) : $(LIBOBJS) 
	$(RM) $@
	$(AR) cr $@ $(LIBOBJS)
	$(RANLIB) $@

$(LIBOBJS) : $(TOP)/config.h grace_np.h

gracef_np_$(O) : gracef_np.c
	$(CC) $(CFLAGS) -DNEED_F77_UNDERSCORE -c -o $@ gracef_np.c

test_np$(EXE) : test_np$(O)
	$(CC) $(CFLAGS) -o $@ $? $(LIB)

testf_np$(EXE) : testf_np$(O)
	-$(FC) $(FFLAGS) -o $@ $? $(LIB)

test_np$(O) : $(LIB)
testf_np$(O) : $(LIB)

install : $(LIB)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/lib
	$(INSTALL_DATA) $(LIB) $(DESTDIR)$(GRACE_HOME)/lib/$(LIB)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/include
	$(INSTALL_DATA) grace_np.h $(DESTDIR)$(GRACE_HOME)/include/grace_np.h

$(DESTDIR)$(GRACE_HOME)/lib/$(LIB) : $(LIB)
	$(MAKE) install

links : $(DESTDIR)$(GRACE_HOME)/lib/$(LIB)
	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/lib
	cd $(DESTDIR)$(PREFIX)/lib; $(RM) $(LIB); $(LN_S) $(GRACE_HOME)/lib/$(LIB) $(LIB)
	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/include
	cd $(DESTDIR)$(PREFIX)/include; $(RM) grace_np.h; $(LN_S) $(GRACE_HOME)/include/grace_np.h grace_np.h
	
clean :
	$(RM) *.o sample.agr $(TESTS)

distclean :
	$(RM) *.o sample.agr $(LIB) $(TESTS)
	
devclean :
	$(RM) *.o sample.agr $(LIB) $(TESTS)

=== grconvert/Makefile ===
#####################################################
# Makefile for grconvert                            #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

PROG = grconvert$(EXE)

SRCS = grconvert.c defaults.c readbin.c writeasc.c util.c

OBJS = grconvert$(O) defaults$(O) readbin$(O) writeasc$(O) util$(O)

CFLAGS = $(CFLAGS0) -I$(TOP) -I. $(CPPFLAGS)

LIBS = $(XDR_LIB) $(NOGUI_LIBS)

all : $(PROG)

$(PROG) : $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS) $(LIBS)

$(OBJS) : grconvert.h

tests : dummy

links : dummy

clean :
	$(RM) $(OBJS) 

distclean :
	$(RM) $(PROG) $(OBJS)
	
devclean :
	$(RM) $(PROG) $(OBJS)

install : $(PROG)
	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/bin
	$(INSTALL_PROGRAM) -s $(PROG) $(DESTDIR)$(GRACE_HOME)/bin/$(PROG)

dummy :

=== Xbae/Xbae/Makefile ===
#####################################################
# Makefile for Xbae widget (bundled with Grace)     #
#####################################################
# You should not change anything here.              #
#####################################################

TOP=../..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

CFLAGS=$(CFLAGS0) -I$(TOP) -I. $(XBAE_INC) $(CPPFLAGS) $(GUI_FLAGS) \
	-DHAVE_CONFIG_H -DDRAW_RESIZE_SHADOW

LIB=libXbae.a

all : $(LIB)

include Make.common


$(LIB) : $(OBJS)
	$(AR) cr $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

install : $(LIB)

tests : dummy

links : dummy

clean :
	$(RM) $(LIB) $(OBJS)

distclean :
	$(RM) $(LIB) $(OBJS) *.orig

devclean :
	$(RM) $(LIB) $(OBJS) *.orig

dummy :

=== debian/changelog ===
grace (1:5.1.25-9) unstable; urgency=medium

  * Housekeeping update prior to the bullseye release.
  * Update S-V to 4.5.1 and debhelper to compat 13.
    - Tidy up various dh_* files, and remove duplicated manpages, to
      avoid dh_missing failures.
  * Add Depends: on sensible-utils, for sensible-browser and -editor.
  * Relocate example files to /usr/share/doc/grace/examples.
  * d/patches/documentation-national-encoding.diff: New patch to convert
    remaining ISO-8859-1 documentation to UTF-8.
  * Janitor bot fixes: correct a day-of-week error in the changelog,
    update to https:// link for Grace homepage.
  * d/control: Set an explicit Rules-Requires-Root: binary-targets, needed
    for changing file ownership in the install step.
  * d/rules: Remove linker flags that are now the toolchain default.
  * Remove obsolete preinst script, only needed to clean up after the
    long-gone defoma.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 20 Dec 2020 12:58:08 -0800

grace (1:5.1.25-8) unstable; urgency=medium

  * Stop shipping a partial Xresources file; instead, supply all available
    default settings in an example file, which interested users can merge
    into their ~/.Xresources as a whole.  (Closes: #955770)
  * Update Standards-Version to 4.5.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 19 Apr 2020 14:52:41 -0700

grace (1:5.1.25-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Nicholas Breen ]
  * d/patches/font-extension-t1.diff: Search for .t1 as a font file
    extension (as seen in newer versions of Ghostscript), in addition to
    the traditional .pfa/.pfb extensions.  Thanks to Carlo Segre for the
    thorough bug report.  (Closes: #934662)
  * Update to Standards-Version 4.4.0 and debhelper compat 12.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 15 Aug 2019 20:00:53 -0700

grace (1:5.1.25-6) unstable; urgency=medium

  * Move VCS repo to salsa.debian.org.
  * Bump to Standards-Version 4.1.4, debhelper compat 11.
  * Eliminate several hardcoded color settings, moving them to an Xresources
    configuration file, allowing user overrides.  Patch courtesy of Denis
    Danilov.  (Closes: #727796)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 28 Apr 2018 10:50:28 -0700

grace (1:5.1.25-5) unstable; urgency=medium

  * Typo fix in control ("gconf" -> "gconf2").

 -- Nicholas Breen <nbreen@debian.org>  Fri, 30 Jun 2017 09:16:09 -0700

grace (1:5.1.25-4) unstable; urgency=medium

  * Don't run dh_gconf; schemas are now registered by triggers and the
    thumbnailing is an optional feature, so a hard Depends: is not
    desirable.  Instead, add an explicit Suggests: gconf2.
    (Closes: #863872)
  * Update Standards-Version to 4.0.0 and bump debhelper compat level to 10,
    no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 18 Jun 2017 13:04:04 -0700

grace (1:5.1.25-3) unstable; urgency=medium

  * Drop B-D alternative on libpng12-dev.  (Closes: #810181)
  * Update Standards-Version to 3.9.8, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 23 Jan 2017 09:47:16 -0800

grace (1:5.1.25-2) unstable; urgency=medium

  * Remove grace.menu (and grace-menu.xpm) per TC decision #741573.
  * Update Standards-Version to 3.9.7, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 28 Feb 2016 16:18:39 -0800

grace (1:5.1.25-1) unstable; urgency=medium

  * New upstream release.
    - No longer clears set comments on load.  (Closes: #775749)
  * copyright: Add 2015 where relevant, disambiguate short license names.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 17 Feb 2015 09:50:49 -0800

grace (1:5.1.24-3) unstable; urgency=medium

  * Switch to "interest-noawait" triggers to avoid a possible configuration
    loop with gsfonts.  (Closes: #774558)
  * Update Standards-Version to 3.9.6, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 04 Jan 2015 09:29:02 -0800

=== debian/control ===
Source: grace
Section: math
Priority: optional
Maintainer: Nicholas Breen <nbreen@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
               fontconfig,
               gfortran | fortran-compiler,
               libfftw3-dev,
               libjpeg-dev,
               libmotif-dev,
               libnetcdf-dev,
               libpng-dev,
               libxau-dev,
               libxaw7-dev,
               libxbae-dev (>= 4.60.4-4),
               libxext-dev,
               libxmhtml-dev,
               libxpm-dev,
               libxt-dev,
               linuxdoc-tools,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-recommended
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/grace
Vcs-Git: https://salsa.debian.org/debian/grace.git
Homepage: https://plasma-gate.weizmann.ac.il/Grace

Package: grace
Architecture: any
Depends: fontconfig,
         gsfonts (>= 6.0),
         sensible-utils,
         xterm,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
Suggests: ghostscript, texlive-extra-utils, gconf2
Description: XY graphing and plotting tool
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 This is the program formerly known as Xmgr.
 .
 A few of its features are: User defined scaling, tick marks, labels,
 symbols, line styles, colors, polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation, batch mode for unattended
 plotting, and hardcopy support for PostScript, FrameMaker and several image
 formats.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+bindnow
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	./configure \
 	--enable-grace-home=/usr/share/grace \
 	--with-editor="xterm -e sensible-editor" \
 	--with-helpviewer="sensible-browser %s" \
 	--with-f77=gfortran \
+	--with-bundled-t1lib \
 	--disable-pdfdrv \
 	--without-bundled-xbae
 
@@ -32,8 +32,16 @@
 		$(CURDIR)/debian/grace/usr/sbin/update-grace-fonts
 	dh_install
 
+# Optional component that will not fail if gconf is missing, so a hard
+# Depends: is not desirable.
+override_dh_gconf:
+
 # Upstream Makefile needs configure run even for clean target.  Override it,
 # and ignore errors if they occur -- they come from the configure-check, not
 # from the missing Makefile that is the common case.
 override_dh_auto_clean:
 	$(MAKE) --keep-going --ignore distclean
+
+# Don't compress example graph files.
+override_dh_compress:
+	dh_compress -X.agr

=== debian/watch ===
version=3
opts=dversionmangle=s/^\d+:// \
  ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/grace-(\d.*).tar.gz
